/* main.c: placeholder */

/* What we parse to */
#include <glib.h>

#include "program.h"

struct program basic_program;

/* Oooh. A main function */
#include <stdio.h>

#include "basic.h"
#include "dump.h"

int
main( void )
{
/*    yydebug = 1; */

  program_initialise( &basic_program );

  if( yyparse() ) return 1;

  if( program_find_functions( &basic_program ) ) {
    fprintf( stderr, "Error finding functions\n" );
    return 1;
  }

  while( !basic_program.error ) {
    if( program_execute_statement( &basic_program ) ) {
      fprintf( stderr, "Error executing statement\n" );
      return 1;
    }
  }

  printf( "Program returned error code %d\n", basic_program.error );

  return 0;
}

/* Really interesting error reporting function */

void
yyerror( char *s )
{
  fprintf( stderr, "%s\n", s );
}
